package swing1zusatz;

import java.awt.event.*;

public class Controller implements ActionListener {
        //private Attribute fr model und view
	private Model m;
	private View v;
	
        
	public Controller(Model m, View v) {
		this.m = m;
		this.v = v;
	}
	
        //Wird von View aufgerufen, wenn Button gedrckt wurde
	public void actionPerformed(ActionEvent event) {
                
                //Aktionskommando erfragen
		String cmd = event.getActionCommand();
                
                //Bei 'exit' Anwendung beenden
		if (cmd.equals("exit")) {
			System.exit(0);
		}
                
                //Sonst Eingabe der View abfragen
                //Wenn Eingabewert gltig, dann dem Modell zur Addition bergeben
                //Wenn ungltig, dann Eingabe zurcksetzen
		try { // Fange Exceptions ab
                        String value1 = v.getProductInput();
                        int value2 = Integer.parseInt(v.getNumberInput()); 
			float value3 = Float.parseFloat(v.getPriceInput()); 
                        
			if (cmd.equals("add")) {
				m.addProduct(value1, value2, value3 );
			}

		}
		catch (Exception e) {
		}
		finally {
			v.resetInput(); 
		}
	}
}
